(function() {

	tinymce.PluginManager.add( 'symple_shortcodes_mce_button', function( editor, url ) {

		editor.addButton( 'symple_shortcodes_mce_button', {

			title: 'Insert Shortcode',

			type: 'menubutton',

			icon: 'icon symple-shortcodes-icon',

			menu: [





				

				{

					text: 'Columns',

					menu: [

						   

						   {

							text: 'One Half',

							onclick: function() {

								editor.insertContent( '[fusion_column size="one-half" position="first"]<br /> Your content <br />[/fusion_column]');

							}

						}, 

						

						

						

						 {

							text: 'One Third',

							onclick: function() {

								editor.insertContent( '[fusion_column size="one-third" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						 {

							text: 'One Fourth',

							onclick: function() {

								editor.insertContent( '[fusion_column size="one-fourth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						

						 {

							text: 'One Fifth',

							onclick: function() {

								editor.insertContent( '[fusion_column size="one-fifth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						 {

							text: 'One Sixth',

							onclick: function() {

								editor.insertContent( '[fusion_column size="one-sixth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						

						 {

							text: 'Two Thirds',

							onclick: function() {

								editor.insertContent( '[fusion_column size="two-third" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						 {

							text: 'Three Fourths',

							onclick: function() {

								editor.insertContent( '[fusion_column size="three-fourth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						{

							text: 'Two Fifths',

							onclick: function() {

								editor.insertContent( '[fusion_column size="two-fifth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						

						{

							text: 'Three Fifths',

							onclick: function() {

								editor.insertContent( '[fusion_column size="three-fifth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						{

							text: 'Fourth Fifths',

							onclick: function() {

								editor.insertContent( '[fusion_column size="four-fifth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						

						{

							text: 'Five Sixths',

							onclick: function() {

								editor.insertContent( '[fusion_column size="five-sixth" position="first"] Your content[/fusion_column]');

							}

						}, 

						

						

						

						

						

						   

						   

						   ]

				}, // End Layout Section





				/** Elements **/

				{

					text: 'Elements',

					menu: [

						   {

							text: 'Button',

							onclick: function() {

								editor.insertContent( '[fusion_button color="blue" url="http://www.yoursite.com" title="Visit Site" target="blank" border_radius=""]Your content[/fusion_button]');

							}

						}, 

						

						

						

						 {

							text: 'Callout',

							onclick: function() {

								editor.insertContent( '[fusion_callout button_text="button text" button_color="blue" button_url="http://www.yoursite.com" button_rel="nofollow"]Your content[/fusion_callout]');

							}

						}, 

						

						

						

						 {

							text: 'Google Map',

							onclick: function() {

								editor.insertContent( '[fusion_googlemap title="Your Office" location="2 Elizabeth St, Melbourne Victoria 3000 Australia" zoom="10" height=250]');

							}

						}, 

						   

						   

						    {

							text: 'Heading',

							onclick: function() {

								editor.insertContent( '[fusion_heading type="h2" title="Sample content" margin_top="20px;" margin_bottom="20px" text_align="left"]');

							}

						}, 

						

						

						 {

							text: 'H1 Tag',

							onclick: function() {

								editor.insertContent( '[fusion_title tag="h1" align="center" contant="fusionDummyContent"]');

							}

						}, 

						

						{

							text: 'Pricing Table',

							onclick: function() {

								editor.insertContent( '[fusion_pricing_table]<br />[fusion_pricing size="one-half" plan="Free" cost="$0" per="per month" button_url="#" button_text="Sign Up" button_color="gold" button_border_radius="" button_target="self" button_rel="nofollow" position=""]<br /><ul><li>30GB Storage</li><li>512MB Ram</li><li>10 databases</li><li>1,000 Emails</li><li>25GB Bandwidth</li></ul>[/fusion_pricing]<br /><br />[fusion_pricing size="one-half" position="last" featured="yes" plan="Basic" cost="$19.99" per="per month" button_url="#" button_text="Sign Up" button_color="gold" button_border_radius="" button_target="self" button_rel="nofollow"]<br /><ul><li>30GB Storage</li><li>512MB Ram</li><li>10 databases</li><li>1,000 Emails</li><li>25GB Bandwidth</li></ul>[/fusion_pricing]<br />[/fusion_pricing_table]');

							}

						}, 

						

						

						{

							text: 'Skillbar',

							onclick: function() {

								editor.insertContent( '[fusion_skillbar title="Sample content" percentage="100" color="#6adcfa"]');

							}

						}, 

						   

						   

						   {

							text: 'Checklist',

							onclick: function() {

								editor.insertContent( '');

							}

						}, 

						   

						   

						   

						   

						   

						   

						   

						   

						   ]

				}, 

				

				

				{

				text: 'Boxes',

				menu: [

					   

					   

					    

						   {

							text: 'Blue',

							onclick: function() {

								editor.insertContent( '[fusion_box color="blue" text_align="left" width="100%" float="none"]<br />Your content<br />[/fusion_box]');

							}

						}, 

						

						

						

						 {

							text: 'Gray',

							onclick: function() {

								editor.insertContent( '[fusion_box color="gray" text_align="left" width="100%" float="none"]<br />Your content<br />[/fusion_box]');

							}

						}, 

						

						

						 {

							text: 'Green',

							onclick: function() {

								editor.insertContent( '[fusion_box color="green" text_align="left" width="100%" float="none"]<br />Your content<br />[/fusion_box]');

							}

						}, 

						

						

						 {

							text: 'Red',

							onclick: function() {

								editor.insertContent( '[fusion_box color="red" text_align="left" width="100%" float="none"]<br />Your content<br />[/fusion_box]');

							}

						}, 

						

						

						{

							text: 'Yellow',

							onclick: function() {

								editor.insertContent( '[fusion_box color="yellow" text_align="left" width="100%" float="none"]<br />Your content<br />[/fusion_box]');

							}

						}, 

						

						

						

					   

					   ]

				

				},

				

				

				{

				text: 'Video',

				menu: [

					   

					   {

							text: 'Youtube',

							onclick: function() {

								editor.insertContent( '[responsive-youtube-video identifier="82090131"]');

							}

						}, 

					   

					   

					    {

							text: 'Vimeo',

							onclick: function() {

								editor.insertContent( '[responsive-vimeo-video vimeoidentifier="82090131"]');

							}

						}, 

					   

					   

					   

					   

					   ] 

				

				},

				

				

				{

				text: 'Heading Styles',

				menu: [

				

				

				

				 {

							text: 'Heading',

							onclick: function() {

								editor.insertContent( '[fusion_heading  fontweight="100" fontsize="350%" color="#1dc6df"]Heading Five [/fusion_heading]');

							}

						}, 

						

						

						

						 {

							text: 'Heading with Double Line',

							onclick: function() {

								editor.insertContent( '[fusion_heading style="1" fontweight="100" fontsize="350%" color="#000"]Heading One[/fusion_heading]');

							}

						}, 

						

						

						

						

						 {

							text: 'Heading Box Single Line',

							onclick: function() {

								editor.insertContent( '[fusion_heading style="2" fontweight="100" fontsize="350%" color="#000"]Heading Two[/fusion_heading]');

							}

						}, 

				

				

				{

							text: 'Heading with Single Line',

							onclick: function() {

								editor.insertContent( '[fusion_heading style="3" fontweight="100" fontsize="350%" color="#000"]Heading Three[/fusion_heading]');

							}

						}, 

						

						

						{

							text: 'Heading Box with Double Line',

							onclick: function() {

								editor.insertContent( '[fusion_heading style="4" fontweight="100" fontsize="350%" color="#000"]Heading Four[/fusion_heading]');

							}

						}, 

				

				

				

				]},





{

				text: 'Portfolio',

				menu: [

					   

					   

					   {

							text: 'Portfolio',

							onclick: function() {

								editor.insertContent( '[fusion_display_posts_portfolio posts_per_page="6" image_size="bloghome-thumb" ]');

							}

						}, 

					   

					   

					   ]},

				

				

				{

				text: 'Highlights',

				menu: [

					   

					   

					   {

							text: 'Blue',

							onclick: function() {

								editor.insertContent( '[fusion_highlight color="blue"] Your content [/fusion_highlight]');

							}

						}, 

						

						

						{

							text: 'Gray',

							onclick: function() {

								editor.insertContent( '[fusion_highlight color="gray"] Your content [/fusion_highlight]');

							}

						}, 

						

						

						{

							text: 'Green',

							onclick: function() {

								editor.insertContent( '[fusion_highlight color="green"] Your content [/fusion_highlight]');

							}

						},

						

						

						{

							text: 'Red',

							onclick: function() {

								editor.insertContent( '[fusion_highlight color="red"] Your content [/fusion_highlight]');

							}

						},

						

						

						{

							text: 'Yellow',

							onclick: function() {

								editor.insertContent( '[fusion_highlight color="yellow"] Your content [/fusion_highlight]');

							}

						},

						

					   

					   ]},

				

                {

				text: 'Dividers',

				menu: [

					   

					   {

							text: 'Small',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="small" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						 {

							text: 'Solid',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="solid" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						

						 {

							text: 'Dashed',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="dashed" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						

						

						 {

							text: 'Dotted',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="dotted" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						 {

							text: 'Double',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="double" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						

						{

							text: 'FadeIn',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="fadein" margin_top="20px" margin_bottom="20px"]');

							}

						},

	                       {

							text: 'FadeOut',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="fadeout" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						 {

							text: 'Carved',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="carved" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

						 {

							text: 'Fade',

							onclick: function() {

								editor.insertContent( '[fusion_divider style="fade" margin_top="20px" margin_bottom="20px"]');

							}

						},

						

						

					   

					   

					   ]},

				

				

				{

				text: 'jQuery',

				menu: [

					   

					{

							text: 'Accordion',

							onclick: function() {

								editor.insertContent( '[fusion_accordion]<br />[fusion_accordion_section title="Section 1"]<br />Accordion Content<br />[/fusion_accordion_section]<br />[fusion_accordion_section title="Section 2"]<br />Accordion Content<br />[/fusion_accordion_section]<br />[/fusion_accordion]');

							}

						},  

						

						

						

						{

							text: 'Tabs',

							onclick: function() {

								editor.insertContent( '[fusion_tabgroup]<br />[fusion_tab title="First Tab"]<br />First tab content<br />[/fusion_tab]<br />[fusion_tab title="Second Tab"]<br />Third Tab Content.<br />[/fusion_tab]<br />[/fusion_tabgroup]');

							}

						},

						

						

						{

							text: 'Toggle',

							onclick: function() {

								editor.insertContent( '[fusion_toggle title="This Is Your Toggle Title"] Your content[/fusion_toggle]');

							}

						},

						

						

					   

					   

]},

				
{

				text: 'Google Map',

				menu: [
					   
					   {

							text: 'Google Map',

							onclick: function() {

								editor.insertContent( '[fusion_googlemap title="Your Office" location="2 Elizabeth St, Melbourne Victoria 3000 Australia" zoom="10" height=250]');

							}

						}
					   
					   ]},
		
		
		
		
		
		{

				text: 'Animations',

				menu: [
					   
					   
					      {

							text: 'fadeInUp',

							onclick: function() {

								editor.insertContent( '[animation_fadeinup]sample content[/animation_fadeinup]');

							}

						},
						
						 {

							text: 'fadeInDown',

							onclick: function() {

								editor.insertContent( '[animation_fadeindown]sample content[/animation_fadeindown]');

							}

						},
						
						
						{

							text: 'fadeInRightBig',

							onclick: function() {

								editor.insertContent( '[animation_fadeinrightbig]Sample content[/animation_fadeinrightbig]');

							}

						}, 
						
						
						{

							text: 'fadeInLeftBig',

							onclick: function() {

								editor.insertContent( '[animation_fadeinleftbig]Sample content[/animation_fadeinleftbig]');

							}

						}, 
						
						
						{

							text: 'fadeInLeft',

							onclick: function() {

								editor.insertContent( '[animation_fadeinleft]Sample content[/animation_fadeinleft]');

							}

						}, 
						
						
						{

							text: 'fadeInRight',

							onclick: function() {

								editor.insertContent( '[animation_fadeinright]Sample content[/animation_fadeinright]');

							}

						}, 
						
						
						
						{

							text: 'BounceIn',

							onclick: function() {

								editor.insertContent( '[animation_bouncein]sample content[/animation_bouncein]');

							}

						},
						
						{

							text: 'Shake',

							onclick: function() {

								editor.insertContent( '[animation_shake]Sample content[/animation_shake]');

							}

						},
						
						
						{

							text: 'Pulse',

							onclick: function() {

								editor.insertContent( '[animation_pulse]Sample content[/animation_pulse]');

							}

						},
						
						
						{

							text: 'bounce',

							onclick: function() {

								editor.insertContent( '[animation_bounce]Sample content[/animation_bounce]');

							}

						},
						
						
						
						{

							text: 'tada',

							onclick: function() {

								editor.insertContent( '[animation_tada]Sample content[/animation_tada]');

							}

						},
						
						{

							text: 'flash',

							onclick: function() {

								editor.insertContent( '[animation_flash]Sample content[/animation_flash]');

							}

						}


					   
					   
					   
					   
					   ]},
		
		
		

				{

				text: 'Testimonial',

				menu: [

					   

					   {

							text: 'Testimonial Slider',

							onclick: function() {

								editor.insertContent( '[fusion_opentestimonial][fusion_testimonials description="Your Testimonial Goes Here"   name="Engaeleads"][fusion_closetestimonial]');

							}

						} 

					   

					   

					   ]},

				



{

				text: 'Other',

				menu: [

					   

					   

					   {

							text: 'Spacing',

							onclick: function() {

								editor.insertContent( '[fusion_spacing size="40px"]');

							}

						},

						

						

						{

							text: 'Clear Floats',

							onclick: function() {

								editor.insertContent( '[fusion_clear_floats]');

							}

						},

						

					   

					   

					   ]}









				



			]

		});

	});

})();